Package org.apache.nutch.protocol

## Class ProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.nutch.protocol.ProtocolException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `FileException`, `FtpException`, `HttpException`, `ProtocolNotFound`

      public class ProtocolException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProtocolException()` |
    `ProtocolException​(String message)` |
    `ProtocolException​(String message, Throwable cause)` |
    `ProtocolException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolException

          public ProtocolException()

    - #### ProtocolException

          public ProtocolException​(String message)

    - #### ProtocolException

          public ProtocolException​(String message,
                                   Throwable cause)

    - #### ProtocolException

          public ProtocolException​(Throwable cause)